// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_sample;

class DevicePage extends Page {
  DevicePage(Router router): super(router, pageTitle:"Device API", showBackButton:true);
  
  _showPageContent(Element page, Device device) { 
    var info = device.info;
    page.innerHtml = '''
      <ul>
        <li><p><strong>name:</strong> ${info.name}</p></li>
        <li><p><strong>cordova version:</strong> ${info.cordovaVersion}</p></li>
        <li><p><strong>platform:</strong> ${info.platform}</p></li>
        <li><p><strong>platform version:</strong> ${info.platformVersion}</p></li>
        <li><p><strong>uuid:</strong> ${info.uuid}</p></li>
        <li><p><strong>screen height:</strong> ${info.screen.height}</p></li>
        <li><p><strong>screen width:</strong> ${info.screen.width}</p></li>
        <li><p><strong>screen depth:</strong> ${info.screen.colorDepth}</p></li>
      </ul>
    ''';
  }
}


