// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_sample;

class NotificationPage extends Page {
  NotificationPage(Router router): super(router, pageTitle:"Notification API");
  
  _showPageContent(Element page, Device device) {
    var accelerometer = device.accelerometer;
    page.innerHtml = ''' 
      <ul>
        <li><button id='get_acceleration'>Get acceleration</button></li>
        <li><button id='watch_acceleration'>Watch acceleration</button></li>
        <li><button id='stop_watch'>Stop watch</button></li>
      </ul>
    ''';
    //_handleGetAcceleration(page, resultContainer, accelerometer);
    //_handleWatchAcceleration(page, resultContainer, accelerometer);
  }
}

