// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

//import "package:handheld/handheld_builder.dart";
import "package:handheld/handheld_builder.dart";
import "package:log4dart/log4dart_vm.dart";

void main() {
  LoggerFactory.config[r".*"].appenders = [new FileAppender("builder_log.txt")];
  // TODO try on windows  
  handheldBuild('web/handheld_sample.dart', 'ios/www/js').then((bool success) {
    print("ios build succeeded: $success");
  });
  // TODO also figure out how to copy dart.js and styles over to the output folder
  // TODO find a way to copy compilation output to multiple destinations
  handheldBuild('web/handheld_sample.dart', 'android/assets/www/js').then((bool success) {
    print("android build succeeded: $success");
  });
}

