// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_sample;

class MainPage extends Page {
  MainPage(Router router): super(router, pageTitle:"Handheld API", showBackButton:false);
  
  _showPageContent(Element page, Device device) {
    String pageContent = r''' 
      <ul>               
        <li><button id="accelerometer">Accelerometer</button></li>
        <!--li><button id="camera">Camera</button></li>
        <li><button id="capture">Capture</button></li>
        <li><button id="compass">Compass</button></li>
        <li><button id="connection">Connection</button></li>
        <li><button id="contacts">Contacts</button></li-->
        <li><button id="device">Device</button></li>
        <!--li><button id="events">Events</button></li>
        <li><button id="file">File</button></li>
        <li><button id="geolocation">Geolocation</button></li>
        <li><button id="globalization">Globalization</button></li>
        <li><button id="inappbrowser">InAppBrowser</button></li>
        <li><button id="media">Media</button></li-->
        <li><button id="notification">Notification</button></li>
        <!--li><button id="splashscreen">Splashscreen</button></li>
        <li><button id="storage">Storage</button></li-->
      </ul>
    ''';
    page.innerHtml = pageContent;
    page.queryAll('button').forEach((Element elm) {
      elm.onClick.listen((MouseEvent evt) => navigateTo(elm.id));
    });
  }
}

